WhatsApp Sync
Start contacts sync
Initiate contact names sync from the WhatsApp Business App. This imports contact names stored in the app to Zavu. Only available for coexistence accounts with active status.
POST
/
v1
/
senders
/
{senderId}
/
whatsapp-sync
/
contacts
Start contacts sync
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/whatsapp-sync/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zavu.dev/v1/senders/{senderId}/whatsapp-sync/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zavu.dev/v1/senders/{senderId}/whatsapp-sync/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Contacts sync initiated",
"sync": {
"isCoexistence": true,
"status": "active",
"history": {
"status": "completed",
"canSync": false,
"requestedAt": "2024-01-15T10:00:00Z",
"completedAt": "2024-01-15T10:05:00Z"
},
"contacts": {
"status": "pending",
"canSync": false,
"requestedAt": "2024-01-15T11:00:00Z"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
Start contacts sync
